Package: org.gradle.api.plugins.jetty

## [Java] Class JettyRunWar

- org.gradle.api.plugins.jetty.JettyRunWar

- Deploys a WAR to an embedded Jetty web container.

  Once started, the web container can be configured to run continuously, scanning for changes to the war file and automatically performing a hot redeploy when necessary.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractJettyRunTask` | `PORT_SYSPROPERTY, consoleScanner, reload, scannerListeners`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `applyJettyXml()`
    `void` | `configureScanner()`
    `void` | `configureWebApplication()`
    `JettyPluginServer` | `createServer()`
    `void` | `finishConfigurationBeforeStart()`
    `File` | `getWebApp()` Returns the web application to deploy.
    `void` | `restartWebApp(boolean reconfigureScanner)`
    `void` | `setWebApp(File webApp)`
    `void` | `validateConfiguration()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractJettyRunTask` | `applyJettyXml, configureScanner, configureWebApplication, createServer, findJettyWebXmlFile, finishConfigurationBeforeStart, getAdditionalRuntimeJars, getConnectors, getContextPath, getHttpPort, getJettyConfig, getOverrideWebXml, getReload, getRequestLog, getScanIntervalSeconds, getScanner, getScannerListeners, getServer, getStopKey, getStopPort, getUserRealms, getWebAppConfig, getWebDefaultXml, isDaemon, restartWebApp, setAdditionalRuntimeJars, setConnectors, setContextPath, setDaemon, setHttpPort, setJettyConfig, setOverrideWebXml, setReload, setRequestLog, setScanIntervalSeconds, setScannerListeners, setServer, setStopKey, setStopPort, setUserRealms, setWebAppConfig, setWebDefaultXml, start, startConsoleScanner, startJetty, startJettyInternal, validateConfiguration`

- - ### Method Detail

    - #### public void applyJettyXml()

    - #### public void configureScanner()

    - #### public void configureWebApplication()

    - #### public JettyPluginServer createServer()

    - #### public void finishConfigurationBeforeStart()

    - #### @InputFile public File getWebApp()

      Returns the web application to deploy.

    - #### public void restartWebApp(boolean reconfigureScanner)

    - #### public void setWebApp(File webApp)

    - #### public void validateConfiguration()